Public Attributes | List of all members
_ll_xqspi_init_t Struct Reference
Peripheral Driver » LL Driver » XQSPI » Structures

XQSPI init structures definition. More...

`#include <gr533x_ll_xqspi.h>`

## Public Attributes
uint32_t | mode
uint32_t | cache_mode
uint32_t | read_cmd
uint32_t | data_size
uint32_t | data_order
uint32_t | clock_polarity
uint32_t | clock_phase
uint32_t | baud_rate
uint32_t | cache_direct_map_en
uint32_t | cache_flush
ll_xqspi_hp_init_t | hp_init

## Detailed Description

XQSPI init structures definition.

Definition at line 91 of file gr533x_ll_xqspi.h.

## Member Data Documentation

## ◆ baud_rate

uint32_t _ll_xqspi_init_t::baud_rate

Specifies the BaudRate be used to configure the transmit and receive SCK clock. This parameter can be a value of QSPI Buad Rate.

This feature can be modified afterwards using unitary function ll_xqspi_set_qspi_speed().

Definition at line 126 of file gr533x_ll_xqspi.h.

## ◆ cache_direct_map_en

uint32_t _ll_xqspi_init_t::cache_direct_map_en

Specifies the XQSPI Cache work on direct map or 4-way set associative. This parameter can be a value of XQSPI Cache direct map enable.

Definition at line 131 of file gr533x_ll_xqspi.h.

## ◆ cache_flush

uint32_t _ll_xqspi_init_t::cache_flush

Specifies the XQSPI Cache will be flushed or not. This parameter can be a value of LL_XQSPI_CACHE_FLUSH_EN.

Definition at line 134 of file gr533x_ll_xqspi.h.

## ◆ cache_mode

uint32_t _ll_xqspi_init_t::cache_mode

Specifies the cache mode in XIP mode. This parameter can be a value of XIP cache mode.

This feature can be modified afterwards using unitary function ll_xqspi_enable_cache().

Definition at line 96 of file gr533x_ll_xqspi.h.

## ◆ clock_phase

uint32_t _ll_xqspi_init_t::clock_phase

Specifies the clock active edge for the bit capture. This parameter can be a value of QSPI Clock Phase in XIP mode or QSPI Clock Phase in QSPI mode.

This feature can be modified afterwards using unitary function ll_xqspi_set_xip_cpha() or ll_xqspi_set_qspi_cpha().

Definition at line 121 of file gr533x_ll_xqspi.h.

## ◆ clock_polarity

uint32_t _ll_xqspi_init_t::clock_polarity

Specifies the serial clock steady state. This parameter can be a value of QSPI Clock Polarity in XIP mode or QSPI Clock Polarity in QSPI mode.

This feature can be modified afterwards using unitary function ll_xqspi_set_xip_cpol() or ll_xqspi_set_qspi_cpol().

Definition at line 116 of file gr533x_ll_xqspi.h.

## ◆ data_order

uint32_t _ll_xqspi_init_t::data_order

Specifies the XQSPI data order, MSB oe LSB, only in QSPI mode. This parameter can be a value of QSPI Data Order.

This feature can be modified afterwards using unitary function ll_xqspi_set_qspi_data_order().

Definition at line 111 of file gr533x_ll_xqspi.h.

## ◆ data_size

uint32_t _ll_xqspi_init_t::data_size

Specifies the XQSPI data width, only in QSPI mode. This parameter can be a value of QSPI Datawidth.

This feature can be modified afterwards using unitary function ll_xqspi_set_qspi_datasize().

Definition at line 106 of file gr533x_ll_xqspi.h.

## ◆ hp_init

ll_xqspi_hp_init_t _ll_xqspi_init_t::hp_init

Specifies the XQSPI HP mode Configuration. This structures is defined ll_xqspi_hp_init_t.

Definition at line 137 of file gr533x_ll_xqspi.h.

## ◆ mode

uint32_t _ll_xqspi_init_t::mode

Specifies the work mode, XIP mode or QSPI mode. This parameter can be a value of XQSPI work mode.

Definition at line 93 of file gr533x_ll_xqspi.h.

## ◆ read_cmd

uint32_t _ll_xqspi_init_t::read_cmd

Specifies the XQSPI read command in XIP mode. This parameter can be a value of XIP read command.

This feature can be modified afterwards using unitary function ll_xqspi_set_xip_cmd().

Definition at line 101 of file gr533x_ll_xqspi.h.

The documentation for this struct was generated from the following file:

- gr533x_ll_xqspi.h